GDB (xrefs)

Public Attributes | List of all members
trace_state_variable Struct Reference

`#include "tracepoint.h"`

## Public Attributes
const char * | name
int | number
LONGEST | initial_value
int | value_known
LONGEST | value
int | builtin

## Detailed Description

Definition at line 49 of file tracepoint.h.

## Member Data Documentation

## ◆ builtin

int trace_state_variable::builtin

Definition at line 71 of file tracepoint.h.

Referenced by create_tsv_from_upload(), and remote_download_trace_state_variable().

## ◆ initial_value

LONGEST trace_state_variable::initial_value

Definition at line 59 of file tracepoint.h.

Referenced by create_tsv_from_upload(), mi_cmd_trace_define_variable(), mi_tsv_created(), mi_tsv_modified(), remote_download_trace_state_variable(), save_trace_state_variables(), trace_variable_command(), and tvariables_info_1().

## ◆ name

const char* trace_state_variable::name

Definition at line 53 of file tracepoint.h.

Referenced by create_trace_state_variable(), delete_trace_state_variable(), find_trace_state_variable(), merge_uploaded_trace_state_variables(), mi_cmd_trace_frame_collected(), mi_tsv_created(), mi_tsv_deleted(), mi_tsv_modified(), remote_download_trace_state_variable(), save_trace_state_variables(), trace_variable_command(), and tvariables_info_1().

## ◆ number

int trace_state_variable::number

Definition at line 56 of file tracepoint.h.

Referenced by create_trace_state_variable(), find_trace_state_variable_by_number(), gen_expr(), merge_uploaded_trace_state_variables(), mi_cmd_trace_frame_collected(), remote_download_trace_state_variable(), tvariables_info_1(), and value_of_internalvar().

## ◆ value

LONGEST trace_state_variable::value

Definition at line 67 of file tracepoint.h.

Referenced by mi_cmd_trace_frame_collected(), mi_tsv_modified(), tvariables_info_1(), and value_of_internalvar().

## ◆ value_known

int trace_state_variable::value_known

Definition at line 64 of file tracepoint.h.

Referenced by mi_cmd_trace_frame_collected(), mi_tsv_modified(), tvariables_info_1(), and value_of_internalvar().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/tracepoint.h